@echo off
title Chip's Challenge level pack info helper 1.1
color F0
echo ***********************************************
echo        cclpinfo helper 1.1 - by ChipHome5
echo ***********************************************
echo ***********************************************
echo This batch script helps you to use cclpinfo,
echo a small utility (by Andrew E. and Madhav  
echo Shanbhag) which reads a Chip's Challenge file 
echo and displays the level names and numbers.
echo ***********************************************
echo You need cclpinfo version 1.3 to use the script.
echo ***********************************************
echo ***********************************************
pause
cls
echo Insert the name of the Chip's Challenge levels file (.DAT, .CCL):
set /p namef=
echo.
echo Display levels password (yes = 'p', no = ENTER)? 
set /p pwsf=
echo Display levels time limit (yes = 't', no = ENTER)? 
set /p timef=
echo Display chips required/chips available (yes = 'c', no = ENTER)? 
set /p chipsf=
echo Display the levels hint (yes = 'h', no = ENTER)?
set /p hintsf=
echo Insert output file name:
set /p outname=
echo Overwrite existing file (%outname%) (yes = 'y', no = 'n')?
set /p overwrite=
if %overwrite% == y cclpinfo.exe %namef% -%pwsf% -%timef% -%chipsf% -%hintsf% > %outname%
if %overwrite% == n cclpinfo.exe %namef% -%pwsf% -%timef% -%chipsf% -%hintsf% >> %outname%
cls
echo ***********************************************
pause